Viewing Issue Advanced Details Jump to Notes ]
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04343 Crash/Freeze Critical (emulator) Always 2011-05-09 00:29 2011-06-23 18:24
Tester Tafoid View Status Public Platform MAME (Self-compiled)
Assigned To wilbert Resolution Fixed OS Windows XP (32-bit)
Status [?] Resolved   Driver
Version 0.142u3 Fixed in Version 0.143 Build Normal
Summary 04343: All sets in baraduke.c, namcos1.c, namcos86.c, skykid.c: Immediate crash while using -DEBUG
Description The games work fine without use of the -debug (debugger). If you use -debug, you get a crash:
-----------------------------------------------------
Exception at EIP=00000000 (): ACCESS VIOLATION
While attempting to read memory at 00000000
-----------------------------------------------------
EAX=00000000 EBX=0000FFFF ECX=00000000 EDX=00000001
ESI=C7D74835 EDI=00000766 EBP=0022ECA0 ESP=0022EC84
-----------------------------------------------------
Stack crawl:
  0022EC80: 00000000 ()
  0022ECA0: 024E265E (delegate_base<void, int, delegate_param_none, delegate_param_none, delegate_param_none>::operator()(int) const+0x001e)
  0022ECC0: 0152D116 (set_os3(_m6800_state*, int)+0x001e)
  0022ECF0: 0152D2B2 (m6801_io_r(address_space*, unsigned int)+0x019a)
  0022ED20: 01B6B12C (handler_entry_read::read_stub_legacy(address_space&, unsigned int, unsigned char)+0x002a)
  0022ED50: 024E202F (delegate_base<unsigned char, address_space&, unsigned int, unsigned char, delegate_param_none>::operator()(address_space&, unsigned int, unsigned char) const+0x0033)
  0022ED80: 024ED030 (handler_entry_read::read8(address_space&, unsigned int, unsigned char) const+0x0030)
  0022EDB0: 0246E24D (address_space_specific<unsigned char, (endianness_t)1, false>::read_native(unsigned int)+0x00a9)
  0022EDD0: 0246F2EC (address_space_specific<unsigned char, (endianness_t)1, false>::read_byte(unsigned int)+0x0018)
  0022EDF0: 022E6A3F (direct_read_data::read_decrypted_byte(unsigned int, unsigned int)+0x0057)
  0022EE20: 0152C895 (cpu_execute_m6800(legacy_cpu_device*)+0x013f)
  0022EE40: 01DED3F9 (legacy_cpu_device::execute_run()+0x0017)
  0022EF90: 01B78D96 (device_scheduler::timeslice()+0x0498)
  0022F090: 01AE1A07 (running_machine::run(bool)+0x0403)
  0022F9E0: 01B57D27 (mame_execute(emu_options&, osd_interface&)+0x0208)
  0022FB90: 01DD30C1 (cli_frontend::execute(int, char**)+0x0365)
  0022FF00: 013A6219 (utf8_main(int, char**)+0x01ad)
  0022FF30: 01FF35BA (wmain+0x008a)
  0022FFC0: 004013D1 (__tmainCRTStartup+0x0241)
  0022FFF0: 7C817077 (RegisterWaitForInputIdle+0x0049)
Steps To Reproduce
Additional Information
Flags
Regression Version 0.142u3
Affected Sets / Systems All sets in baraduke.c, namcos1.c, namcos86.c, skykid.c
Attached Files
 


-  Notes
User avatar (07470)
Tafoid (Administrator)
2011-05-27 01:30

Breakage between r12352-r12368 - Suspect r12367 devcb <> delegate work.